Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model
Class RevisionMarkAuthorTable

    java.lang.Object
      org.apache.poi.hwpf.model.RevisionMarkAuthorTable

    public final class RevisionMarkAuthorTable

extends java.lang.Object

String table containing the names of authors of revision marks, e-mails and comments in this document.

Author:
  Ryan Lauck

Constructor Summary
`RevisionMarkAuthorTable(byte[] tableStream, int offset, int size)` Constructor to read the table from the table stream.

Method Summary
`java.lang.String` | `getAuthor(int index)` Get an author by its index.
`java.util.List` | `getEntries()` Gets the entries.
`int` | `getSize()` Gets the number of entries.
`void` | `writeTo(HWPFOutputStream tableStream)` Writes this table to the table stream.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevisionMarkAuthorTable

    public RevisionMarkAuthorTable(byte[] tableStream,
                                   int offset,
                                   int size)
                            throws java.io.IOException

  Constructor to read the table from the table stream.

  Parameters:
    `tableStream` - the table stream.
    `offset` - the offset into the byte array.
    `size` - the size of the table in the byte array.
  Throws:
    `java.io.IOException`

Method Detail

### getEntries

    public java.util.List getEntries()

  Gets the entries. The returned list cannot be modified.

  Returns:
    the list of entries.

### getAuthor

    public java.lang.String getAuthor(int index)

  Get an author by its index. Returns null if it does not exist.

  Returns:
    the revision mark author

### getSize

    public int getSize()

  Gets the number of entries.

  Returns:
    the number of entries.

### writeTo

    public void writeTo(HWPFOutputStream tableStream)
                 throws java.io.IOException

  Writes this table to the table stream.

  Parameters:
    `tableStream` - the table stream to write to.
  Throws:
    `java.io.IOException` - if an error occurs while writing.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD